path: /build/build/racc-dev-ruby-1.8.1+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-ruby_targets_ruby30 -ruby_targets_ruby31 -test ruby_targets_ruby27" emerge dev-ruby/racc -pv -t
  - |
    USE="-ruby_targets_ruby30 -ruby_targets_ruby31 -test ruby_targets_ruby27" emerge -j ${JOBS} --nodeps dev-ruby/racc
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/racc && luet-portage --dir
    /pkgdir/racc dev-ruby/racc
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:40678cc67841799da4f6c9183c18a42c6d21ff6ad45282744a8f1a271576d172
  package:
    name: racc
    version: 1.8.1+1
    category: dev-ruby
    use_flags:
    - -ruby_targets_ruby30
    - -ruby_targets_ruby31
    - -test
    - ruby_targets_ruby27
    requires:
    - name: rake
      version: '>=0'
      category: dev-ruby
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Racc is an LALR(1) parser generator. It is written in Ruby itself,
      and generates ruby programs.
    uri:
    - https://github.com/ruby/racc
    license: LGPL-2.1
    buildtimestamp: 2024-10-07 09:55:11.166292667 +0000 UTC m=+72.889195634
    labels:
      BDEPEND: test? ( ruby_targets_ruby32? ( virtual/ruby-ssl[ruby_targets_ruby32(-)]
        ) ruby_targets_ruby31? ( virtual/ruby-ssl[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
        ( virtual/ruby-ssl[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/ruby-ssl[ruby_targets_ruby27(-)]
        ) ) ruby_targets_ruby32? ( dev-ruby/rake[ruby_targets_ruby32(-)] test? ( dev-ruby/minitest[ruby_targets_ruby32(-)]
        ) ) ruby_targets_ruby31? ( dev-ruby/rake[ruby_targets_ruby31(-)] test? ( dev-ruby/minitest[ruby_targets_ruby31(-)]
        ) ) ruby_targets_ruby30? ( dev-ruby/rake[ruby_targets_ruby30(-)] test? ( dev-ruby/minitest[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( dev-ruby/rake[ruby_targets_ruby27(-)] test? ( dev-ruby/minitest[ruby_targets_ruby27(-)]
        ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) )
        ruby_targets_ruby31? ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
        ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? (
        test? ( dev-ruby/rake[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
        ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
        ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
        ) test? ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
        ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
        ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
        ) )
      DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      IUSE: doc test test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31
        ruby_targets_ruby32 test test
      RDEPEND: ruby_targets_ruby32? ( virtual/ruby-ssl[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/ruby-ssl[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/ruby-ssl[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/ruby-ssl[ruby_targets_ruby27(-)] ) ruby_targets_ruby32?
        ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1 ) ruby_targets_ruby30?
        ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7 ) ruby_targets_ruby32?
        ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)]
        ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27?
        ( virtual/rubygems[ruby_targets_ruby27(-)] )
      emerge.packages: dev-ruby/racc
      kit: ruby-kit
      original.package.name: dev-ruby/racc
      original.package.slot: "0"
      original.package.version: 1.8.1
    treedir: /build/packages
  package_dir: /pkgdir/racc
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: fa225b63bac65340ca1ef61a6d4d34c865130a91a857e66b1a59085d5055d291
compressiontype: zstd
files:
- usr/bin/racc
- usr/lib64/ruby/gems/2.7.0/extensions/x86_64-linux/2.7.0/racc-1.8.1/gem.build_complete
- usr/lib64/ruby/gems/2.7.0/extensions/x86_64-linux/2.7.0/racc-1.8.1/racc/cparse.so
- usr/lib64/ruby/gems/2.7.0/gems/racc-1.8.1/bin/racc
- usr/lib64/ruby/gems/2.7.0/gems/racc-1.8.1/lib/racc/compat.rb
- usr/lib64/ruby/gems/2.7.0/gems/racc-1.8.1/lib/racc/cparse/cparse.so
- usr/lib64/ruby/gems/2.7.0/gems/racc-1.8.1/lib/racc/debugflags.rb
- usr/lib64/ruby/gems/2.7.0/gems/racc-1.8.1/lib/racc/exception.rb
- usr/lib64/ruby/gems/2.7.0/gems/racc-1.8.1/lib/racc/grammar.rb
- usr/lib64/ruby/gems/2.7.0/gems/racc-1.8.1/lib/racc/grammarfileparser.rb
- usr/lib64/ruby/gems/2.7.0/gems/racc-1.8.1/lib/racc/info.rb
- usr/lib64/ruby/gems/2.7.0/gems/racc-1.8.1/lib/racc/iset.rb
- usr/lib64/ruby/gems/2.7.0/gems/racc-1.8.1/lib/racc/logfilegenerator.rb
- usr/lib64/ruby/gems/2.7.0/gems/racc-1.8.1/lib/racc/parser-text.rb
- usr/lib64/ruby/gems/2.7.0/gems/racc-1.8.1/lib/racc/parser.rb
- usr/lib64/ruby/gems/2.7.0/gems/racc-1.8.1/lib/racc/parserfilegenerator.rb
- usr/lib64/ruby/gems/2.7.0/gems/racc-1.8.1/lib/racc/sourcetext.rb
- usr/lib64/ruby/gems/2.7.0/gems/racc-1.8.1/lib/racc/state.rb
- usr/lib64/ruby/gems/2.7.0/gems/racc-1.8.1/lib/racc/statetransitiontable.rb
- usr/lib64/ruby/gems/2.7.0/gems/racc-1.8.1/lib/racc/static.rb
- usr/lib64/ruby/gems/2.7.0/gems/racc-1.8.1/lib/racc.rb
- usr/lib64/ruby/gems/2.7.0/specifications/racc-1.8.1.gemspec
- usr/share/doc/racc-1.8.1/ChangeLog.bz2
- usr/share/doc/racc-1.8.1/README.ja.rdoc.bz2
- usr/share/doc/racc-1.8.1/README.rdoc.bz2
- usr/share/doc/racc-1.8.1/TODO.bz2
- usr/share/doc/racc-1.8.1/doc/en/Overview-of-racc.md.bz2
- usr/share/doc/racc-1.8.1/doc/en/grammar.en.rdoc.bz2
- usr/share/doc/racc-1.8.1/doc/en/grammar2.en.rdoc.bz2
- usr/share/doc/racc-1.8.1/doc/en/racc.en.rhtml.bz2
- usr/share/doc/racc-1.8.1/doc/ja/command.ja.html
- usr/share/doc/racc-1.8.1/doc/ja/debug.ja.rdoc.bz2
- usr/share/doc/racc-1.8.1/doc/ja/grammar.ja.rdoc.bz2
- usr/share/doc/racc-1.8.1/doc/ja/index.ja.html
- usr/share/doc/racc-1.8.1/doc/ja/parser.ja.rdoc.bz2
- usr/share/doc/racc-1.8.1/doc/ja/racc.ja.rhtml.bz2
- usr/share/doc/racc-1.8.1/doc/ja/usage.ja.html
- usr/share/doc/racc-1.8.1/examples/sample/array.y.bz2
- usr/share/doc/racc-1.8.1/examples/sample/array2.y.bz2
- usr/share/doc/racc-1.8.1/examples/sample/calc-ja.y.bz2
- usr/share/doc/racc-1.8.1/examples/sample/calc.y.bz2
- usr/share/doc/racc-1.8.1/examples/sample/conflict.y.bz2
- usr/share/doc/racc-1.8.1/examples/sample/hash.y.bz2
- usr/share/doc/racc-1.8.1/examples/sample/lalr.y.bz2
- usr/share/doc/racc-1.8.1/examples/sample/lists.y.bz2
- usr/share/doc/racc-1.8.1/examples/sample/syntax.y.bz2
- usr/share/doc/racc-1.8.1/examples/sample/yyerr.y.bz2
- var/db/pkg/dev-ruby/racc-1.8.1/BDEPEND
- var/db/pkg/dev-ruby/racc-1.8.1/BUILD_TIME
- var/db/pkg/dev-ruby/racc-1.8.1/CATEGORY
- var/db/pkg/dev-ruby/racc-1.8.1/CBUILD
- var/db/pkg/dev-ruby/racc-1.8.1/CFLAGS
- var/db/pkg/dev-ruby/racc-1.8.1/CHOST
- var/db/pkg/dev-ruby/racc-1.8.1/CONTENTS
- var/db/pkg/dev-ruby/racc-1.8.1/COUNTER
- var/db/pkg/dev-ruby/racc-1.8.1/CTARGET
- var/db/pkg/dev-ruby/racc-1.8.1/CXX
- var/db/pkg/dev-ruby/racc-1.8.1/CXXFLAGS
- var/db/pkg/dev-ruby/racc-1.8.1/DEFINED_PHASES
- var/db/pkg/dev-ruby/racc-1.8.1/DEPEND
- var/db/pkg/dev-ruby/racc-1.8.1/DESCRIPTION
- var/db/pkg/dev-ruby/racc-1.8.1/EAPI
- var/db/pkg/dev-ruby/racc-1.8.1/FEATURES
- var/db/pkg/dev-ruby/racc-1.8.1/HOMEPAGE
- var/db/pkg/dev-ruby/racc-1.8.1/INHERITED
- var/db/pkg/dev-ruby/racc-1.8.1/IUSE
- var/db/pkg/dev-ruby/racc-1.8.1/IUSE_EFFECTIVE
- var/db/pkg/dev-ruby/racc-1.8.1/KEYWORDS
- var/db/pkg/dev-ruby/racc-1.8.1/LDFLAGS
- var/db/pkg/dev-ruby/racc-1.8.1/LICENSE
- var/db/pkg/dev-ruby/racc-1.8.1/NEEDED
- var/db/pkg/dev-ruby/racc-1.8.1/NEEDED.ELF.2
- var/db/pkg/dev-ruby/racc-1.8.1/PF
- var/db/pkg/dev-ruby/racc-1.8.1/PROVIDES
- var/db/pkg/dev-ruby/racc-1.8.1/RDEPEND
- var/db/pkg/dev-ruby/racc-1.8.1/REQUIRES
- var/db/pkg/dev-ruby/racc-1.8.1/RESTRICT
- var/db/pkg/dev-ruby/racc-1.8.1/SIZE
- var/db/pkg/dev-ruby/racc-1.8.1/SLOT
- var/db/pkg/dev-ruby/racc-1.8.1/USE
- var/db/pkg/dev-ruby/racc-1.8.1/environment.bz2
- var/db/pkg/dev-ruby/racc-1.8.1/racc-1.8.1.ebuild
- var/db/pkg/dev-ruby/racc-1.8.1/repository
package_cacheimage: ""
runtime:
  name: racc
  version: 1.8.1+1
  category: dev-ruby
  use_flags:
  - -ruby_targets_ruby30
  - -ruby_targets_ruby31
  - -test
  - ruby_targets_ruby27
  requires:
  - name: ruby-ssl
    version: '>=0'
    category: virtual
  - name: rubygems
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Racc is an LALR(1) parser generator. It is written in Ruby itself,
    and generates ruby programs.
  uri:
  - https://github.com/ruby/racc
  license: LGPL-2.1
  labels:
    BDEPEND: test? ( ruby_targets_ruby32? ( virtual/ruby-ssl[ruby_targets_ruby32(-)]
      ) ruby_targets_ruby31? ( virtual/ruby-ssl[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/ruby-ssl[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/ruby-ssl[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( dev-ruby/rake[ruby_targets_ruby32(-)] test? ( dev-ruby/minitest[ruby_targets_ruby32(-)]
      ) ) ruby_targets_ruby31? ( dev-ruby/rake[ruby_targets_ruby31(-)] test? ( dev-ruby/minitest[ruby_targets_ruby31(-)]
      ) ) ruby_targets_ruby30? ( dev-ruby/rake[ruby_targets_ruby30(-)] test? ( dev-ruby/minitest[ruby_targets_ruby30(-)]
      ) ) ruby_targets_ruby27? ( dev-ruby/rake[ruby_targets_ruby27(-)] test? ( dev-ruby/minitest[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31?
      ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( test?
      ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( test? ( dev-ruby/rake[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) test? (
      ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) )
    DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    IUSE: doc test test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31
      ruby_targets_ruby32 test test
    RDEPEND: ruby_targets_ruby32? ( virtual/ruby-ssl[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/ruby-ssl[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/ruby-ssl[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/ruby-ssl[ruby_targets_ruby27(-)] ) ruby_targets_ruby32?
      ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1 ) ruby_targets_ruby30?
      ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7 ) ruby_targets_ruby32?
      ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)]
      ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27?
      ( virtual/rubygems[ruby_targets_ruby27(-)] )
    emerge.packages: dev-ruby/racc
    kit: ruby-kit
    original.package.name: dev-ruby/racc
    original.package.slot: "0"
    original.package.version: 1.8.1
